ActiveGate release notes version 1.229

With this release, the oldest supported ActiveGate versions are:

How long are versions supported following rollout?

Chromium support for private synthetic monitors

Chromium 94 is now the latest supported version for synthetic-enabled ActiveGates installed on Ubuntu 18.04, 20.04, Red Hat Enterprise Linux and CentOS 8, and bundled with the Windows ActiveGate installer. For more information, see Requirements for private synthetic locations.

Note: Chromium development for Red Hat Enterprise Linux 7, CentOS 7, and Ubuntu 16.04 stopped at version 90.

Operating systems support

Future Dynatrace ActiveGate operating systems support changes

The following operating systems will no longer be supported starting 01 July 2022

  • Linux: Amazon Linux AMI 2014.03, 2017.09
  • Linux: CentOS 7.0, 7.1, 7.2, 7.3, 7.4, 7.5, 7.6, 7.7, 7.8, 8.0, 8.1, 8.3
  • Linux: Red Hat Enterprise Linux 6.x, 7.0, 7.1, 7.2, 7.3, 7.4, 7.5, 7.6, 7.7, 7.8, 8.0, 8.1, 8.3

Resolved issues

General availability (Build 1.229.168)

3 total resolved issues (1 vulnerability)

Component Resolved issues
ActiveGate 2 (1 vulnerability)
Cluster 1

ActiveGate

  • Corrected the unit for the `Response time avg` metric for Azure App Services. (APM-323489)
  • Vulnerability: On Windows permissions for files and folders in the installation directory have been tightened to protect installation in custom folder. (APM-325771)

Cluster

  • Kubernetes event reason strings are now truncated when they exceed valid length. (APM-326520)